﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using CSharpSamples_Khoshamoz.OOP;

namespace CSharpSamples_Khoshamoz.Samples
{
    public partial class FrmSample050 : Form
    {
        public FrmSample050()
        {
            InitializeComponent();
        }

        private void btnDo_Click(object sender, EventArgs e)
        {
            var stock = new List<StockItem>
                {
                    new StockItem("سیب", "B", 0.30),
                    new StockItem("موز", "B", 0.35),
                    new StockItem("پرتقال", "B", 0.29),
                    new StockItem("کلم", "C", 0.49),
                    new StockItem("هویج", "C", 0.29),
                    new StockItem("کاهو", "C", 0.30),
                    new StockItem("شیر", "A", 1.12)
                };

            var categories = new List<StockCategory>
                {
                    new StockCategory("A", "لبنیات"),
                    new StockCategory("B", "میوه ها"),
                    new StockCategory("C", "سبزیجات")
                };

            var joined =
                from c in categories
                join s in stock on c.Name equals s.Category into stockItems
                select new
                {
                    c.MajorCategory,
                    Items = stockItems,
                    NumberOfItems = stockItems.Count(),
                    TotalPrice = stockItems.Sum(d => d.Price)
                };

            foreach (var group in joined)
            {
                lblResult.Text += string.Format("{0}, Number Of Items = {1}, Total Price = {2}", group.MajorCategory, group.NumberOfItems, group.TotalPrice) + Environment.NewLine;
                foreach (var item in group.Items)
                {
                    lblResult.Text += string.Format("{0}     {1}", item.Name, item.Price) + Environment.NewLine;
                }
                lblResult.Text += Environment.NewLine;
            }

        }




    }
}
